Page MenuHomePhabricator

MFA: mobile.toggle migrated to webpack
Closed, ResolvedPublic5 Story Points

Description

Code relating to the toggle code currently lives in mobile.toggle and we will move it to webpack.

Acceptance criteria

  • there is no mobile.toggle module
  • tests are ported to node-qunit
  • toggle module is contained by mobile.startup module
  • Minerva is retained in a mergeable state throughout the migration. No need to worry about cached html but an alias module (empty module with mobile.startup dependency) will be needed until references in Minerva have been updated.

Code:

Sign off steps

  • Progress is updated.
  • Review which features to port next and create cards.

Event Timeline

Restricted Application added a subscriber: Gilles. · View Herald TranscriptNov 22 2018, 10:39 PM
Jdlrobson triaged this task as High priority.Nov 22 2018, 10:47 PM
Jdlrobson moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Gilles removed a subscriber: Gilles.Nov 23 2018, 8:52 AM
Jdlrobson renamed this task from mobile.toggle migrated to webpack to MFA: mobile.toggle migrated to webpack.Nov 23 2018, 11:48 PM
ovasileva set the point value for this task to 5.Nov 27 2018, 5:08 PM

Change 479137 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/MobileFrontend@master] Port toggle.js to webpack

https://gerrit.wikimedia.org/r/479137

Change 479568 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/MinervaNeue@master] Remove references to "mobile.toggle" module.

https://gerrit.wikimedia.org/r/479568

Change 479137 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Port toggle.js to webpack

https://gerrit.wikimedia.org/r/479137

Change 479568 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove references to "mobile.toggle" module.

https://gerrit.wikimedia.org/r/479568

Needs more work as mobile.toggle can now be removed from extension.json \o/

Jdlrobson updated the task description. (Show Details)Dec 14 2018, 6:57 PM
Jdlrobson removed a project: Patch-For-Review.

Change 479852 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove mobile.toggle module

https://gerrit.wikimedia.org/r/479852

Change 479852 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove mobile.toggle module

https://gerrit.wikimedia.org/r/479852

Jdlrobson removed Jdrewniak as the assignee of this task.Dec 17 2018, 9:26 PM
Jdlrobson claimed this task.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdrewniak.
Jdlrobson updated the task description. (Show Details)Dec 18 2018, 1:12 AM
Jdlrobson closed this task as Resolved.Dec 18 2018, 10:32 PM
Jdlrobson updated the task description. (Show Details)

T210210 and T210209 are next!
This LGTM! Good job all!